Subject: Re: [Bitcoin-development] Floating fees and SPV clients

From: Taylor Gerring <[email-masked]>
Date: Tue, 3 Dec 2013 12:57:23 +0100

On Dec 3, 2013, at 12:29 PM, Mike Hearn <[email-masked]> wrote:

> It may be acceptable that receivers don't always receive exactly what they requested, at least for person-to-business transactions.  For person-to-person transactions of course any fee at all is confusing because you intuitively expect that if you send 1 mBTC, then 1 mBTC will arrive the other end. I wonder if we'll end up in a world where buying things from shops involves paying fees, and (more occasional?) person-to-person transactions tend to be free and people just understand that the money isn't going to be spendable for a while.

> person-to-business transactions.  For person-to-person transactions
Why should there be two classes of transactions? Where does paying a local business at a farmer’s stand lie in that realm? Transactions should work the same regardless of who is on the receiving end.

> any fee at all is confusing because you intuitively expect that if you send 1 mBTC, then 1 mBTC will arrive the other end
The paradigm of sending money has an explicit cost is not new... I think people are used to Western Union/PayPal and associated fees, no?  It’s okay to have a fee if it’s reasonable, so let’s inform the user what the estimated cost is to send a transaction in a reasonable amount of time.

>  wonder if we'll end up in a world where buying things from shops involves paying fees
I stayed in a hotel for the first night here here in Milan, and there was an (anticipated) surcharge for the use of credit over cash. Again, nothing new here.

Fees are only confusing because existing clients do a terrible job of presenting the information to the user. In Hive Wallet, I’m of the opinion that we should inform the user in an intuitive way to let them make an informed decision.